Get detailed video information by ID
curl --request GET \
--url https://api.magnific.com/v1/videos/{id} \
--header 'x-magnific-api-key: <api-key>'import requests
url = "https://api.magnific.com/v1/videos/{id}"
headers = {"x-magnific-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-magnific-api-key': '<api-key>'}};
fetch('https://api.magnific.com/v1/videos/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 70000,
"url": "https://www.freepik.com/free-video/white-t-shirts-copy-space-gray-background_15667335",
"name": "Cute cat looking at the camera",
"aspect-ratio": "16:9",
"created": "2019-01-01T00:00:00.000Z",
"code": "cute-cat-looking-camera",
"quality": "720p",
"premium": true,
"duration": "00:25",
"author": {
"id": 23,
"name": "Magnific",
"code": "magnific",
"avatar": "https://avatar.cdnpk.net/23.jpg",
"metas": {
"downloads": 555,
"assets": 2330000
},
"slug": "magnific"
},
"thumbnails": [
{
"width": 468,
"height": 264,
"url": "https://v4.cdnpk.net/videvo_files/video/free/video0485/thumbnails/_import_61b436a9c16290.44924640_small.jpg",
"aspect-ratio": "16:9"
},
{
"width": 1280,
"height": 720,
"url": "https://v4.cdnpk.net/videvo_files/video/free/video0467/thumbnails/_import_615163540096e1.68968110_large.jpg",
"aspect-ratio": "16:9"
}
],
"previews": [
{
"width": 468,
"height": 264,
"url": "https://v4.cdnpk.net/videvo_files/video/free/video0485/thumbnails/_import_61b436a9c16290.44924640_small.jpg",
"aspect-ratio": "16:9"
}
],
"active": true,
"is_ai_generated": false,
"item_subtype": "footage"
}
}
Videos API
Get detailed video information by ID
GET
/
v1
/
videos
/
{id}
Get detailed video information by ID
Authorizations
Your Magnific API key. Required for authentication. Learn how to obtain an API key
Headers
Specifies the search query language using the ISO 639-1 (2-letter language code) and the ISO 3166-1 (2-letter country code) for language variants. The API will use "en-US" as a default language for processing if a code is not provided, or does not exist.
Path Parameters
Video id
Required range:
x >= 1Response
OK
Show child attributes
Show child attributes
Example:
{ "id": 99332243, "url": "https://www.freepik.com/free-video/white-t-shirts-copy-space-gray-background_15667327", "name": "gorgeous woman stretching neck", "created": "2000-01-23T04:56:07.000Z", "code": "gorgeous-woman-stretching-neck", "quality": "4k", "premium": 0, "duration": "00:00:28", "fps": "25", "active": 1, "explicit": 0, "author": { "id": 2147483647, "name": "John Doe", "code": "merry-christmas", "avatar": "https://avatar.cdnpk.net/61668527-220726032514.jpg", "metas": { "downloads": 0, "assets": 0 }, "slug": "merry-christmas" }, "thumbnails": [ { "url": "https://img.freepik.com/free-photo/image_8353-7579.jpg", "width": 100, "height": 100, "aspect_ratio": "16:9" }, { "url": "https://img.freepik.com/free-photo/image_8353-7579.jpg", "width": 100, "height": 100, "aspect_ratio": "16:9" } ], "previews": [ { "url": "https://v1.cdnpk.net/videvo_files/video/premium/video0289/watermarked/_Geometric80s30_FPpreview.mp4", "width": 100, "height": 100, "aspect_ratio": "16:9" }, { "url": "https://v1.cdnpk.net/videvo_files/video/premium/video0289/watermarked/_Geometric80s30_FPpreview.mp4", "width": 100, "height": 100, "aspect_ratio": "16:9" } ], "tags": [ { "slug": "merry-christmas", "name": "Merry Christmas" }, { "slug": "merry-christmas", "name": "Merry Christmas" } ], "options": [ { "id": 76989, "active": true, "width": 4096, "height": 2304, "quality": "4k", "container": "mp4", "codec": "AVC Coding", "bit_rate": 25.44, "size": 400, "aspect_ratio": "16:9", "is_original": true }, { "id": 76989, "active": true, "width": 4096, "height": 2304, "quality": "4k", "container": "mp4", "codec": "AVC Coding", "bit_rate": 25.44, "size": 400, "aspect_ratio": "16:9", "is_original": true } ], "aspect_ratio": "969", "is_ai_generated": true, "item_subtype": "footage" }
Was this page helpful?
⌘I